Skip to main content
GET
/
addresses
/
{address_hash}
get address info
curl --request GET \
  --url https://eth.blockscout.com/api/v2/addresses/{address_hash}
import requests

url = "https://eth.blockscout.com/api/v2/addresses/{address_hash}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/v2/addresses/{address_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
  "creator_address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
  "creation_transaction_hash": "0x1f610ff9c1efad6b5a8bb6afcc0786cd7343f03f9a61e2544fcff908cedee924",
  "token": {
    "circulating_market_cap": "83606435600.3635",
    "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
    "name": "Tether USD",
    "decimals": "6",
    "symbol": "USDT",
    "type": "ERC-20",
    "exchange_rate": "0.99",
    "total_supply": "10000000",
    "address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
    "holders_count": "837494234523"
  },
  "coin_balance": "10000000",
  "exchange_rate": "1.01",
  "implementation_address": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
  "block_number_balance_updated_at": 27656552,
  "implementation_name": "implementationName",
  "name": "contractName",
  "is_contract": true,
  "private_tags": [
    {
      "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
      "display_name": "name to show",
      "label": "label"
    }
  ],
  "watchlist_names": [
    {
      "display_name": "name to show",
      "label": "label"
    }
  ],
  "public_tags": [
    {
      "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
      "display_name": "name to show",
      "label": "label"
    }
  ],
  "is_verified": true,
  "has_beacon_chain_withdrawals": true,
  "has_logs": true,
  "has_token_transfers": true,
  "has_tokens": true,
  "has_validated_blocks": true,
  "creation_status": "selfdestructed | failed | success"
}

Path Parameters

address_hash
string
required

Address hash

Pattern: ^0x([A-Fa-f0-9]{40})$

Response

address

hash
string
required
Example:

"0xEb533ee5687044E622C69c58B1B12329F56eD9ad"

creator_address_hash
string
Example:

"0xEb533ee5687044E622C69c58B1B12329F56eD9ad"

creation_transaction_hash
string
Example:

"0x1f610ff9c1efad6b5a8bb6afcc0786cd7343f03f9a61e2544fcff908cedee924"

token
object
coin_balance
string
Example:

"10000000"

exchange_rate
string
Example:

"1.01"

implementation_address
string
Example:

"0xEb533ee5687044E622C69c58B1B12329F56eD9ad"

block_number_balance_updated_at
integer
Example:

27656552

implementation_name
string
Example:

"implementationName"

name
string
Example:

"contractName"

is_contract
boolean
private_tags
object[]
watchlist_names
object[]
public_tags
object[]
is_verified
boolean
has_beacon_chain_withdrawals
boolean
has_logs
boolean
has_token_transfers
boolean
has_tokens
boolean
has_validated_blocks
boolean
creation_status
string
Example:

"selfdestructed | failed | success"